assert      = require('chai').assert
AuthService = require '../../../service/AuthService'
sinon       = require 'sinon'



describe 'service/AuthService', ->
  auth = s1 = null

  beforeEach ->
    auth = new AuthService

  it 'sets the default service name to "auth"', ->
    assert.equal auth.name, 'auth'

  it 'the service name may be overridden', ->
    auth = new AuthService name: 'test'
    assert.equal auth.name, 'test'

  for event in ['signin', 'signout', 'register', 'verify', 'reset-password',
  'change-password']
    ((event) ->
      it "the \"#{event}\" event is registered", ->
        assert.isTrue auth.eventRegistered(event),
          "The \"#{event}\" event is not registered."
    )(event)
